/** @odoo-module */

import {ResConfigDevTool} from "@web/webclient/settings_form_view/widgets/res_config_dev_tool";
import {patch} from "@web/core/utils/patch";
import {router} from "@web/core/browser/router";

patch(ResConfigDevTool.prototype, {
    setup() {
        super.setup(...arguments);
        this.isTranslate = Boolean(odoo.translate);
    },

    activateTranslate(value) {
        router.pushState({translate: value}, {reload: true});
    },
});
